Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.jni
Class MQPROPVARIANT

    java.lang.Object
      com.stc.connector.msmqadapter.jni.MQPROPVARIANT

    public class MQPROPVARIANT

extends java.lang.Object

Field Summary
`boolean` | `bIsByRef`
`boolean` | `boolVal`
`java.lang.String` | `bstrVal`
`byte` | `bVal`
`double` | `date`
`short` | `iVal`
`int` | `lVal`
`java.lang.String` | `pwszVal`
`int` | `scode`
`int` | `vt`

Constructor Summary
`MQPROPVARIANT()`
`MQPROPVARIANT(boolean b)`
`MQPROPVARIANT(byte by)`
`MQPROPVARIANT(double d)`
`MQPROPVARIANT(int i, int type)`
`MQPROPVARIANT(short s)`
`MQPROPVARIANT(java.lang.String s, int type)`

Method Summary
`void` | `clear()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vt

    public int vt

### bIsByRef

    public boolean bIsByRef

### bVal

    public byte bVal

### iVal

    public short iVal

### boolVal

    public boolean boolVal

### lVal

    public int lVal

### scode

    public int scode

### date

    public double date

### bstrVal

    public java.lang.String bstrVal

### pwszVal

    public java.lang.String pwszVal

Constructor Detail

### MQPROPVARIANT

    public MQPROPVARIANT()

### MQPROPVARIANT

    public MQPROPVARIANT(byte by)

### MQPROPVARIANT

    public MQPROPVARIANT(short s)

### MQPROPVARIANT

    public MQPROPVARIANT(boolean b)

### MQPROPVARIANT

    public MQPROPVARIANT(int i,
                         int type)

### MQPROPVARIANT

    public MQPROPVARIANT(java.lang.String s,
                         int type)

### MQPROPVARIANT

    public MQPROPVARIANT(double d)

Method Detail

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD